import { jsx as _jsx } from "react/jsx-runtime";
import * as React from 'react';
import { ApolloClient, ApolloProvider, InMemoryCache } from '@apollo/client';
import { createErrorLink } from './utils';
export const ApolloErrorProvider = ({ children, graphQLError, Provider = ApolloProvider })=>{
    const client = new ApolloClient({
        link: createErrorLink(graphQLError),
        cache: new InMemoryCache()
    });
    return /*#__PURE__*/ _jsx(Provider, {
        client: client,
        children: children
    });
};

//# sourceMappingURL=ApolloErrorProvider.js.map